Subject: install/20635: string processing error in sysinst/upgrade
To: None <>
From: None <>
List: netbsd-bugs
Date: 03/09/2003 05:40:19
>Number:         20635
>Category:       install
>Synopsis:       string processing error in sysinst/upgrade
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    install-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Sun Mar 09 05:41:00 PST 2003
>Originator:     Roland Illig
>Release:        1.6
# uname -a
uname: not found
I installed NetBSD 1.6 inside vmware. I installed all base sets except those starting with "x". After that I wanted to add these sets and got the message:

It appears that wd0aca/Djibouti is not a BSD file system or the fsck was not
successful.  The upgrade has been aborted.  (Error number -1.)

Install NetBSD from 1.6/i386cd.iso.
Install all sets except x*.
Try to install additional sets.
Check utils/sysinst/* for strncpy or similar.